make_relative_filename(3)

NAME
make_relative_filename

SYNOPSIS
#include <allegro.h>

char *make_relative_filename(char *dest, const char *path, const char *filename, int size);

DESCRIPTION
Attempts to make a relative filename from an absolute path and an absolute filename, storing at most size bytes into the dest buffer. Returns a copy of the dest parameter if it succeeds or NULL if it fails.

SEE ALSO
make_absolute_filename(3), is_relative_filename(3)